/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UserThreads {
    /// Total number of threads (used for paging)
    #[serde(rename = "total", skip_serializing_if = "Option::is_none")]
    pub total: Option<i32>,
    /// Array of threads
    #[serde(rename = "threads", skip_serializing_if = "Option::is_none")]
    pub threads: Option<Vec<crate::openapi::models::UserThread>>,
}

impl UserThreads {
    pub fn new() -> UserThreads {
        UserThreads {
            total: None,
            threads: None,
        }
    }
}
